<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.ambra.com.pl/role/ias_1_role-210000" xlink:href="ambra-2025-06-30.xsd#ias_1_role-210000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ambra.com.pl/role/ias_1_role-410000" xlink:href="ambra-2025-06-30.xsd#ias_1_role-410000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ambra.com.pl/role/ias_7_role-520000" xlink:href="ambra-2025-06-30.xsd#ias_7_role-520000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ambra.com.pl/role/ias_1_role-610000" xlink:href="ambra-2025-06-30.xsd#ias_1_role-610000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ambra.com.pl/role/Anchoring" xlink:href="ambra-2025-06-30.xsd#Anchoring" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ambra.com.pl/role/role_000010" xlink:href="ambra-2025-06-30.xsd#role_000010" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ambra.com.pl/role/ias_1_role-416000" xlink:href="ambra-2025-06-30.xsd#ias_1_role-416000" xlink:type="simple"/>
    <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple"/>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/ias_1_role-210000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:type="locator" xlink:label="Loc_19"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:type="locator" xlink:label="Loc_21"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_25"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" xlink:label="Loc_28"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:label="Loc_30"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:type="locator" xlink:label="Loc_32"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:type="locator" xlink:label="Loc_33"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:type="locator" xlink:label="Loc_37"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="Loc_39"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentProperty" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:type="locator" xlink:label="Loc_41"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPayables" xlink:type="locator" xlink:label="Loc_43"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:type="locator" xlink:label="Loc_44"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="Loc_48"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:type="locator" xlink:label="Loc_53"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="locator" xlink:label="Loc_54"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_59"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_60"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPrepaidExpenses" xlink:type="locator" xlink:label="Loc_65"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPortionOfNoncurrentLoansReceived" xlink:type="locator" xlink:label="Loc_66"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived" xlink:type="locator" xlink:label="Loc_67"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty" xlink:type="locator" xlink:label="Loc_68"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:type="locator" xlink:label="Loc_7"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_5" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_6" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_7" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_12" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_14" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_68" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_17" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_19" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_20" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_21" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_25" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_65" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_28" xlink:to="Loc_29" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_30" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_31" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_33" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_63" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_32" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_37" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_28" xlink:to="Loc_38" order="23.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_38" xlink:to="Loc_39" order="24.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_59" order="25.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_43" order="26.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_41" order="27.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_44" order="28.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_66" order="29.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_38" xlink:to="Loc_48" order="30.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_53" order="31.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_54" order="32.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_60" order="33.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_67" order="34.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/ias_1_role-410000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:type="locator" xlink:label="Loc_33"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShareFromContinuingOperations" xlink:type="locator" xlink:label="Loc_34"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:type="locator" xlink:label="Loc_35"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShareFromContinuingOperations" xlink:type="locator" xlink:label="Loc_36"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_42"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_43"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="Loc_44"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="locator" xlink:label="Loc_45"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_46"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" xlink:label="Loc_47"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_48"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" xlink:label="Loc_49"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:type="locator" xlink:label="Loc_55"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:type="locator" xlink:label="Loc_56"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:type="locator" xlink:label="Loc_57"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherGainsLosses" xlink:type="locator" xlink:label="Loc_58"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:type="locator" xlink:label="Loc_59"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:type="locator" xlink:label="Loc_60"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="ambra-2025-06-30.xsd#ambra_NetSalesMargin" xlink:type="locator" xlink:label="Loc_71"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:type="locator" xlink:label="Loc_72"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DistributionCosts" xlink:type="locator" xlink:label="Loc_73"/>
        <link:loc xlink:href="ambra-2025-06-30.xsd#ambra_CostOfMaterialsAndCostOfSoldMerchandise" xlink:type="locator" xlink:label="Loc_74"/>
        <link:loc xlink:href="ambra-2025-06-30.xsd#ambra_MarketingLicenceCommissionsExpense" xlink:type="locator" xlink:label="Loc_75"/>
        <link:calculationArc weight="1" xlink:from="Loc_42" xlink:to="Loc_43" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_43" xlink:to="Loc_44" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_44" xlink:to="Loc_45" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_42" xlink:to="Loc_46" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_46" xlink:to="Loc_47" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_47" xlink:to="Loc_48" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_49" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_71" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_71" xlink:to="Loc_72" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_71" xlink:to="Loc_73" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_71" xlink:to="Loc_74" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_71" xlink:to="Loc_75" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_49" xlink:to="Loc_55" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_49" xlink:to="Loc_56" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_49" xlink:to="Loc_57" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_58" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_59" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_48" xlink:to="Loc_60" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_63" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_47" xlink:to="Loc_61" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_33" xlink:to="Loc_34" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_35" xlink:to="Loc_36" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/ias_7_role-520000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:type="locator" xlink:label="Loc_16"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="locator" xlink:label="Loc_22"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_51"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="Loc_54"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_65"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_66"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_69"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="locator" xlink:label="Loc_70"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:type="locator" xlink:label="Loc_71"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="locator" xlink:label="Loc_73"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:type="locator" xlink:label="Loc_74"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_75"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestExpense" xlink:type="locator" xlink:label="Loc_76"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:type="locator" xlink:label="Loc_77"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="Loc_78"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_79"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_80"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator" xlink:label="Loc_9"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_3" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_6" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_14" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_6" xlink:to="Loc_20" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_17" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_9" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_16" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_22" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_70" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_71" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_73" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_74" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_76" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_6" xlink:to="Loc_77" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_75" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_3" xlink:to="Loc_29" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_31" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_31" xlink:to="Loc_38" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_31" xlink:to="Loc_78" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_31" xlink:to="Loc_51" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_31" xlink:to="Loc_79" order="23.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_54" order="24.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_54" xlink:to="Loc_61" order="25.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_63" order="26.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_65" order="27.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_66" order="28.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_80" order="29.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_69" order="30.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/ias_1_role-610000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ChangesInEquity" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaid" xlink:type="locator" xlink:label="Loc_6"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_1" xlink:to="Loc_6" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/Anchoring" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/role_000010" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.ambra.com.pl/role/ias_1_role-416000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:type="locator" xlink:label="Loc_6"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_5" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_6" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_3" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
</link:linkbase>
